public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Petr Vaněk" <arkamar@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/s6-dns/
Date: Thu, 24 Oct 2024 09:39:22 +0000 (UTC)	[thread overview]
Message-ID: <1729762702.d96e271da56cec0033cb8c38d0d1767832e54ee8.arkamar@gentoo> (raw)

commit:     d96e271da56cec0033cb8c38d0d1767832e54ee8
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 24 09:07:13 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Thu Oct 24 09:38:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d96e271d

net-dns/s6-dns: add 2.4.0.0

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 net-dns/s6-dns/Manifest              |  1 +
 net-dns/s6-dns/s6-dns-2.4.0.0.ebuild | 47 ++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/net-dns/s6-dns/Manifest b/net-dns/s6-dns/Manifest
index 45c0d3642ec4..59732bb6ca43 100644
--- a/net-dns/s6-dns/Manifest
+++ b/net-dns/s6-dns/Manifest
@@ -1 +1,2 @@
 DIST s6-dns-2.3.7.2.tar.gz 92381 BLAKE2B 952ac09a3f622eac0e4498fefd973a5344b763436c55066681884b74f61edb4dfef349ffda653477edc5d19d5315ca4768aa679a151507d088e926348665026b SHA512 4dc89e3b8ba22e4e63e8e5a84432ce444865712755c600b4bc62b49dda13c09c372ff2169b0db4790d0f07c392005dda76ed1df5ef8335d2f382d09919b53eae
+DIST s6-dns-2.4.0.0.tar.gz 92582 BLAKE2B be2a4a069441efca9a9cf20122b4c9a55aeaa26e7a6a7104d9d3f21c82045e4f9c943b0bc540d128d491ac0396c1b4ceee5e612947c9f177ea31e003459da162 SHA512 6c9eb8ad4501ac20733747ae0065ed1d19abd2c61e29e98fc6d0421367ec9ece951daea287e4ec8c4301a74b6f96b8a0e376b4b3ba046cca515b8b57d69600e2

diff --git a/net-dns/s6-dns/s6-dns-2.4.0.0.ebuild b/net-dns/s6-dns/s6-dns-2.4.0.0.ebuild
new file mode 100644
index 000000000000..66af93b3540f
--- /dev/null
+++ b/net-dns/s6-dns/s6-dns-2.4.0.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Suite of DNS client programs and libraries for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-dns/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-libs/skalibs-2.14.3.0:="
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+	default
+
+	# Avoid QA warning for LDFLAGS addition
+	sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+	sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC RANLIB
+
+	local myconf=(
+		--bindir=/bin
+		--dynlibdir="/$(get_libdir)"
+		--libdir="/usr/$(get_libdir)/${PN}"
+		--with-dynlib="/$(get_libdir)"
+		--with-lib="/usr/$(get_libdir)/skalibs"
+		--with-sysdeps="/usr/$(get_libdir)/skalibs"
+		--enable-shared
+		--disable-allstatic
+		--disable-static
+		--disable-static-libc
+	)
+
+	econf "${myconf[@]}"
+}


             reply	other threads:[~2024-10-24  9:39 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-24  9:39 Petr Vaněk [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 10:19 [gentoo-commits] repo/gentoo:master commit in: net-dns/s6-dns/ Petr Vaněk
2024-06-14 13:31 Petr Vaněk
2024-06-09 21:12 Sam James
2024-06-09 21:12 Sam James
2024-01-17 10:39 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-11-22 11:38 Sam James
2023-11-17 11:09 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-02-21  8:01 Sam James
2023-01-17  1:53 Sam James
2023-01-17  1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-06-25  5:36 Sam James
2022-05-24  7:01 Joonas Niilola
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2020-10-11 17:49 William Hubbs
2020-05-16  7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22  7:52 Michał Górny
2018-10-09  0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-03-29 13:25 William Hubbs
2018-01-10 21:35 William Hubbs
2017-10-03 18:47 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1729762702.d96e271da56cec0033cb8c38d0d1767832e54ee8.arkamar@gentoo \
    --to=arkamar@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox